New Arrivals/Restock

5V Fast Charger for Hatteker Cordless Beard Trimmer Hair Clippers RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-7568 RSCX-9598 Electric Shaver Razor Charging Cord

flash sale iconLimited Time Sale
Until the end
18
25
21

$4.79 cheaper than the new price!!

Free shipping for purchases over $99 ( Details )
Free cash-on-delivery fees for purchases over $99
Please note that the sales price and tax displayed may differ between online and in-store. Also, the product may be out of stock in-store.
New  $7.99
quantity

Product details

Management number 237550256 Release Date 2026/07/10 List Price $3.20 Model Number 237550256
Category

5V Fast Charger for Hatteker Cordless Beard Trimmer Hair Clippers RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-7568 RSCX-9598 Electric Shaver Razor Charging Cord

  • Compatible Models -- Compatible with Hatteker Cordless Beard Trimmer Hair Clippers RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-7568 RSCX-9598
  • Specific Parameters -- Input: AC 110-240V, 50-60Hz; Output: DC 5V 2000mA, Cable length: 3.3 feet. Please Note: This charger is only for Hatteker 5V Shaver
  • Durable & Premium Material -- Made of high quality TPE material, high temperature resistant, ensure the excellent charging experience for your Hatteker Shaver Device. Durable ABS + PVC Material and Copper Wire ensures Stable Current Transmission and the quality of charging
  • Fast, Stable and Safe Charging -- This charging cable for Hatteker Shaver has multiple protections for over-voltage, over-current, short-circuit, and temperature, it provides a safe charging environment and gives you a pleasant charging experience
  • What You Get -- 1 x USB A Fast Wall Charger, 1 x 5V Charger Cable, 1 x Cleaner Brush. If you have any questions, please feel free to contact us
ASIN B0FJR3N56Y
Manufacturer Meliya
Package Dimensions 6.61 x 4.29 x 0.98 inches; 1.94 ounces

Correction of product information

If you notice any omissions or errors in the product information on this page, please use the correction request form below.

Correction Request Form

Product Review

You must be logged in to post a review